# Это вожможная заготовка для передачи информации в assignee, завтра проснувшимся взглядом проверю, где очевидно я ошиблась

import csv
import json
import os
import sys

base_dir = os.path.dirname(os.path.realpath(__file__))
data_csv = os.path.join(base_dir, './data/users.mapping.asana2ya.csv')

sys.stdout.reconfigure(encoding='utf-8')
# Создаем словарь для хранения маппинга
mapping = {}

# Читаем CSV файл и заполняем словарь
with open(data_csv, 'r') as csv_file:
    reader = csv.DictReader(csv_file)
    for row in reader:
        asana_name = row['name']
        ya_login = row['ya.login']
        mapping[asana_name] = ya_login

# Передаем маппинг в assignee
assignee = mapping['asana_name']
print(assignee)